net.corda.core.schemas.requery.converters

## Class BlobConverter

- net.corda.core.schemas.requery.converters.BlobConverter

-     public class BlobConverter

  Converts from a ByteArray to a Blob.

  See Also:
    Blob

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlobConverter()` Converts from a ByteArray to a Blob.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `convertToMapped(java.lang.Class<? extends byte[]> type, java.sql.Blob value)`
    `java.sql.Blob` | `convertToPersisted(byte[] value)`
    `java.lang.Class<kotlin.Array[]>` | `getMappedType()`
    `java.lang.Integer` | `getPersistedSize()` creates BLOB(INT.MAX) = 2 GB
    `java.lang.Class<java.sql.Blob>` | `getPersistedType()`

- - ### Constructor Detail

    - #### BlobConverter

          public BlobConverter()

      Converts from a ByteArray to a Blob.

      See Also:
        Blob

  - ### Method Detail

    - #### getMappedType

          public java.lang.Class<kotlin.Array[]> getMappedType()

    - #### getPersistedType

          public java.lang.Class<java.sql.Blob> getPersistedType()

    - #### getPersistedSize

          public java.lang.Integer getPersistedSize()

      creates BLOB(INT.MAX) = 2 GB

    - #### convertToPersisted

          public java.sql.Blob convertToPersisted(byte[] value)

    - #### convertToMapped

          public byte[] convertToMapped(java.lang.Class<? extends byte[]> type,
                                        java.sql.Blob value)